Skip to main content
DELETE
/
1
/
markers
/
{datasetSlug}
/
{markerId}
Delete a Marker
curl --request DELETE \
  --url https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "created_at": "2016-08-13T05:39:42Z",
  "updated_at": "2016-08-13T05:39:42Z",
  "start_time": 1471040808,
  "message": "backend deploy #123",
  "type": "deploy",
  "id": "d1c84ec0"
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

markerId
string
required

The unique identifier (ID) of a Marker.

Response

Success The deleted Marker will be in the body of the response.

start_time
integer

Indicates the time the Marker should be placed. If missing, defaults to the time the request arrives. Expressed in Unix Time.

Example:

1471040808

end_time
integer

Specifies end time, and allows a Marker to be recorded as representing a time range, such as a 5 minute deploy. Expressed in Unix Time.

Example:

1668453920

message
string

A message to describe this specific Marker.

Example:

"backend deploy #123"

type
string

Groups similar Markers. For example, deploys. All Markers of the same type appear with the same color on the graph. Refer to the Marker Settings API for altering the color of each type.

Example:

"deploy"

url
string

A target for the marker. Clicking the marker text will take you to this URL.

Example:

"http://link-to-build.here"

id
string

A 6 character hexadecimal string assigned on Marker creation.

created_at
string

The ISO8601-formatted time when the Marker was created.

updated_at
string

The ISO8601-formatted time when the Marker was updated.

color
string

Color can be assigned to Markers using the Marker Settings endpoint. This field will be populated when List All Markers is called.